#include "main.h"

void DLL_EXPORT addFloats( int nParams, int* pIn, int* pOut )
{
	if( pIn && pOut && nParams >= 2 )
	{
		float f0 = GETFLOAT(pIn[0]);
		float f1 = GETFLOAT(pIn[1]);

		GETFLOAT(pOut[0]) = f0+f1;
	}
}

void DLL_EXPORT subFloats( int nParams, int* pIn, int* pOut )
{
	if( pIn && pOut && nParams >= 2 )
	{
		float f0 = GETFLOAT(pIn[0]);
		float f1 = GETFLOAT(pIn[1]);

		GETFLOAT(pOut[0]) = f0-f1;
	}
}

void DLL_EXPORT mulFloats( int nParams, int* pIn, int* pOut )
{
	if( pIn && pOut && nParams >= 2 )
	{
		float f0 = GETFLOAT(pIn[0]);
		float f1 = GETFLOAT(pIn[1]);

		GETFLOAT(pOut[0]) = f0*f1;
	}
}

void DLL_EXPORT divFloats( int nParams, int* pIn, int* pOut )
{
	if( pIn && pOut && nParams >= 2 )
	{
		float f0 = GETFLOAT(pIn[0]);
		float f1 = GETFLOAT(pIn[1]);

		GETFLOAT(pOut[0]) = f0/f1;
	}
}




extern "C" __declspec(dllexport) BOOL APIENTRY DllMain(HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
    switch (fdwReason)
    {
        case DLL_PROCESS_ATTACH:
            // attach to process
            // return FALSE to fail DLL load
            break;

        case DLL_PROCESS_DETACH:
            // detach from process
            break;

        case DLL_THREAD_ATTACH:
            // attach to thread
            break;

        case DLL_THREAD_DETACH:
            // detach from thread
            break;
    }
    return TRUE; // succesful
}
